{
   "agent": "Hornbeam",
   "behavior": "OK",
   "behaviorClose": "OK",
   "case": 21,
   "closedByMe": false,
   "createStats": true,
   "createWirelog": true,
   "description": "Send ping with binary payload of 126 octets.",
   "droppedByMe": true,
   "duration": 44,
   "expectation": "Connection is failed immediately (1002/Protocol Error), since control frames are only allowed to have payload up to and including 125 octets..",
   "expected": {
      "OK": []
   },
   "expectedClose": {
      "closeCode": [
         1002
      ],
      "closedByMe": false,
      "requireClean": false
   },
   "failedByMe": false,
   "httpRequest": "GET /runCase?case=21&agent=Hornbeam HTTP/1.1\r\nHost: localhost:9001\r\nUpgrade: websocket\r\nConnection: upgrade\r\nSec-WebSocket-Key: Gb0F42IoJCX9BVape9cqiA==\r\nSec-WebSocket-Version: 13\r\n\r\n",
   "httpResponse": "HTTP/1.1 101 Switching Protocols\r\nServer: AutobahnTestSuite/0.8.2-0.10.9\r\nX-Powered-By: AutobahnPython/0.10.9\r\nUpgrade: WebSocket\r\nConnection: Upgrade\r\nSec-WebSocket-Accept: KU+I8sqafmnlYEsAmWZjGYAUTdw=\r\n\r\n",
   "id": "2.5",
   "isServer": true,
   "localCloseCode": 1000,
   "localCloseReason": null,
   "received": [],
   "remoteCloseCode": 1002,
   "remoteCloseReason": "Protocol Error",
   "reportCompressionRatio": false,
   "reportTime": false,
   "result": "Actual events match at least one expected.",
   "resultClose": "Connection was properly closed",
   "rxFrameStats": {
      "8": 1
   },
   "rxOctetStats": {
      "1": 1,
      "183": 1,
      "1407": 1
   },
   "started": "2023-08-11T05:15:06.610Z",
   "trafficStats": null,
   "txFrameStats": {
      "8": 1,
      "9": 1
   },
   "txOctetStats": {
      "4": 1,
      "130": 1,
      "206": 1
   },
   "wasClean": true,
   "wasCloseHandshakeTimeout": false,
   "wasNotCleanReason": null,
   "wasOpenHandshakeTimeout": false,
   "wasServerConnectionDropTimeout": false,
   "wirelog": [
      [
         "RO",
         [
            183,
            "474554202f72756e436173653f636173653d3231266167656e743d486f726e6265616d20485454502f312e310d0a486f73743a206c6f63616c686f73743a3930 ..."
         ]
      ],
      [
         "TO",
         [
            206,
            "485454502f312e312031303120537769746368696e672050726f746f636f6c730d0a5365727665723a204175746f6261686e5465737453756974652f302e382e ..."
         ],
         false
      ],
      [
         "TF",
         [
            126,
            "0xfefefefefefefefefefefefefefefefefefefefefefefefefefefefefefefefefefefefefefefefefefefefefefefefefefefefefefefefefefefefefefefefe ..."
         ],
         9,
         true,
         0,
         null,
         null,
         null,
         false
      ],
      [
         "TO",
         [
            130,
            "897e007efefefefefefefefefefefefefefefefefefefefefefefefefefefefefefefefefefefefefefefefefefefefefefefefefefefefefefefefefefefefe ..."
         ],
         false
      ],
      [
         "KL",
         1
      ],
      [
         "RO",
         [
            1,
            "88"
         ]
      ],
      [
         "RO",
         [
            1407,
            "904432700147d820732b461f622b5e504436401f738890334bed6630a1bd145c3f82055c27cd2341398214889010fd4660131716127f8929037f916625628f29 ..."
         ]
      ],
      [
         "RF",
         [
            16,
            "0x03ea50726f746f636f6c204572726f72"
         ],
         8,
         true,
         0,
         true,
         "44327001"
      ],
      [
         "TF",
         [
            2,
            "0x03e8"
         ],
         8,
         true,
         0,
         null,
         null,
         null,
         false
      ],
      [
         "TO",
         [
            4,
            "880203e8"
         ],
         false
      ]
   ]
}